summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--debian/tests/control2
-rw-r--r--tests/tests/push-nextdgit22
2 files changed, 23 insertions, 1 deletions
diff --git a/debian/tests/control b/debian/tests/control
index e5da910..db82632 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,3 +1,3 @@
-Tests: clone-nogit fetch-localgitonly push-newpackage
+Tests: clone-nogit fetch-localgitonly push-newpackage push-nextdgit
Tests-Directory: tests/tests
Depends: @, devscripts
diff --git a/tests/tests/push-nextdgit b/tests/tests/push-nextdgit
new file mode 100644
index 0000000..2f74407
--- /dev/null
+++ b/tests/tests/push-nextdgit
@@ -0,0 +1,22 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-archive pari-extra 3-1
+t-git pari-extra 3-1
+
+t-dgit clone $p
+
+cd $p
+t-cloned-fetched-good
+
+v=3-2~dummy1
+t-apply-diff 3-1 $v
+debcommit -a
+
+t-dgit --dpkg-buildpackage:-d build
+t-dgit push
+
+t-pushed-good dgit/sid
+
+echo ok.